# Get Transaction Information

Request to retrieve detailed information about a specific transaction by its hash. If an AML check was performed on the transaction, the response includes an `aml_check` object with the full check results.

<mark style="color:blue;">GET</mark> [<mark style="color:$primary;">https://app.goodpayments.io/v1/api/transaction/</mark><mark style="color:$primary;">{trn\_hash}</mark>](https://app.goodpayments.io/v1/api/transaction/%7Btrn_hash%7D)

### Headers&#x20;

| Name            | Type   | Description             | Example                                                          |
| --------------- | ------ | ----------------------- | ---------------------------------------------------------------- |
| Authorization\* | string | Unique Merchant API Key | 94a48138b1f41b9cdb3e12c2ff0c7cbe1c7a5f50a311a5054b903cad84215662 |

### **Request Body**

This request does not require any parameters in the request body. All necessary parameters are included in the URL endpoint.

### **Request** **Example**

```yaml
curl -X 'GET' \
  'https://app.goodpayments.io/v1/api/transaction/896ee1728b85a329250a6c23e73ead8491fe7220dc567b4e9912a70dc49c3e8b' \
  -H 'accept: application/json' \
  -H 'Authorization: 94a48138b1f41b9cdb3e12c2ff0c7cbe1c7a5f50a311a5054b903cad84215662' 
```

### Response Parameters

<table><thead><tr><th>Name</th><th width="123.71307373046875">Type</th><th width="138.4224853515625">Description</th><th>Example</th></tr></thead><tbody><tr><td>trn_hash</td><td>string</td><td>Transaction hash</td><td>896ee1728b85a329250a6c23e73ead8491fe7220dc567b4e9912a70dc49c3e8b</td></tr><tr><td>invoice</td><td>integer</td><td>Invoice ID</td><td>123477361</td></tr><tr><td>type</td><td>string</td><td>Transaction type. Possible values: <code>PAYMENT</code>, <code>TRANSFER</code>, <code>TOPUP</code>, <code>ACTIVATION</code></td><td>PAYMENT</td></tr><tr><td>from_address</td><td>string</td><td>Sender address</td><td>TFoGGb1FvETVbZxyrCk33k77jBE2yZZ5mn</td></tr><tr><td>to_address</td><td>string</td><td>Recipient address</td><td>TBi3zPSQ8JszpkkgwZL4kZWDjXEZsi9Fze</td></tr><tr><td>amount</td><td>number</td><td>Amount sent</td><td>1</td></tr><tr><td>currency</td><td>string</td><td>Token used. Possible values: <code>TRX</code>, <code>USDT</code></td><td>"TRX"</td></tr><tr><td>aml_check</td><td>object</td><td>AML check result. Present only if a check was performed on this transaction. Object structure described below</td><td></td></tr><tr><td>event_id</td><td>string</td><td>UUID linking the incoming payment and the corresponding outgoing transfer within a single payment event</td><td>null</td></tr><tr><td>created_at</td><td>string</td><td>Transaction creation timestamp</td><td>2025-11-23T13:58:57.789617+00:00</td></tr></tbody></table>

#### aml\_check Object

<table><thead><tr><th>Name</th><th width="108.7059326171875">Type</th><th width="147.147705078125">Description</th><th>Example</th></tr></thead><tbody><tr><td>id</td><td>string</td><td>AML check identifier</td><td></td></tr><tr><td>status</td><td>string</td><td>Check status. Possible values: <code>SUCCESS</code>, <code>FAILED</code>, <code>TIMEOUT</code>, <code>ERROR</code></td><td>SUCCESS</td></tr><tr><td>risk_score</td><td>number</td><td>Risk score returned by the check</td><td>50</td></tr><tr><td>risk_level</td><td>string</td><td>Risk level label: <code>low</code>, <code>medium</code>, or <code>high</code></td><td>low</td></tr><tr><td>exposure</td><td>object</td><td>Object with a breakdown of risk exposure</td><td></td></tr><tr><td>report_url</td><td>string</td><td>URL to download the PDF report</td><td>https://...</td></tr><tr><td>cost</td><td>number</td><td>AML check fee (in TRX)</td><td>3.1</td></tr><tr><td>completed</td><td>boolean</td><td>Whether the AML check has been completed</td><td>true</td></tr><tr><td>created_at</td><td>string</td><td>Check creation timestamp</td><td>2025-11-23T13:58:57.789617+00:00</td></tr></tbody></table>

### Response Example

{% tabs %}
{% tab title="200 Success" %}

```json
{
  "trn_hash": "896ee1728b85a329250a6c23e73ead8491fe7220dc567b4e9912a70dc49c3e8b",
  "invoice": 123477361,
  "type": "PAYMENT",
  "from_address": "TFoGGb1FvETVbZxyrCk33k77jBE2yZZ5mn",
  "to_address": "TBi3zPSQ8JszpkkgwZL4kZWDjXEZsi9Fze",
  "amount": 3.6329,
  "currency": "TRX",
  "aml_check": null,
  "event_id": null,
  "created_at": "2025-11-23T16:59:30.477619+03:00"
}
```

{% endtab %}

{% tab title="403 Authentication credentials were not provided" %}

```json
{
  "detail": "Authentication credentials were not provided."
}
```

{% endtab %}

{% tab title="404 Address not found" %}

```json
{
  "detail": "Address not found."
}
```

{% endtab %}
{% endtabs %}

### **Possible Errors**

If the request does not contain a valid API key in the header or IP address is not in Whitelist, the server will return a **403** response.

If the request contains an incorrect invoice ID, the server returns a **404** response.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://goodpayments.gitbook.io/docs/api-reference/api-methods-overview-request-response-structure/get-transaction-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
